Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 83118

Summary: make modules fail on lp.c and processor.
Product: [Retired] Red Hat Public Beta Reporter: Torstein Meyer <torstein.meyer>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED NOTABUG QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: phoebe   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-02-03 20:12:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Torstein Meyer 2003-01-30 14:36:07 UTC
Description of problem:
I tried to make a new kernel based on the redhat-release-8.0.92-2.
The kernel image came out quite nice.
But I was not able to compile the modules.


Version-Release number of selected component (if applicable):
redhat-release-8.0.92-2

How reproducible:
every time

Steps to Reproduce:
1.make modules
2.
3.
    
Actual results:
....
make[2]: Entering directory `/usr/src/linux-2.4.20-2.2/drivers/char'
gcc -D__KERNEL__ -I/usr/src/linux-2.4.20-2.2/include -Wall -Wstrict-prototypes -
Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -
fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=k6 -DMODULE -
DMODVERSIONS -include /usr/src/linux-2.4.20-2.2/include/l
inux/modversions.h  -nostdinc -iwithprefix include -DKBUILD_BASENAME=lp  -c -o 
lp.o lp.c
In file included from /usr/src/linux-2.4.20-2.2/include/linux/prefetch.h:13,
                 from /usr/src/linux-2.4.20-2.2/include/linux/list.h:6,
                 from /usr/src/linux-2.4.20-2.2/include/linux/module.h:12,
                 from lp.c:114:
/usr/src/linux-2.4.20-2.2/include/asm/processor.h:60: warning: parameter names 
(without types) in function declaration
/usr/src/linux-2.4.20-2.2/include/asm/processor.h:60: field 
`loops_per_jiffy_R_ver_str' declared as a function
/usr/src/linux-2.4.20-2.2/include/asm/processor.h:82: invalid suffix on integer 
constant
/usr/src/linux-2.4.20-2.2/include/asm/processor.h:82: parse error before 
numeric constant
/usr/src/linux-2.4.20-2.2/include/asm/processor.h:82: warning: function 
declaration isn't a prototype
In file included from /usr/src/linux-2.4.20-2.2/include/linux/prefetch.h:13,
                 from /usr/src/linux-2.4.20-2.2/include/linux/list.h:6,
                 from /usr/src/linux-2.4.20-2.2/include/linux/module.h:12,
                 from lp.c:114:
/usr/src/linux-2.4.20-2.2/include/asm/processor.h:273:1: warning: "EISA_bus" 
redefined
In file included from /usr/src/linux-2.4.20-2.2/include/linux/modversions.h:136,
                 from <command line>:1:
/usr/src/linux-2.4.20-2.2/include/linux/modules/i386_ksyms.ver:92:1: warning: 
this is the location of the previous definition
/usr/src/linux-2.4.20-2.2/include/asm/processor.h:275: warning: parameter names 
(without types) in function declaration
/usr/src/linux-2.4.20-2.2/include/asm/processor.h:455: invalid suffix on 
floating constant
/usr/src/linux-2.4.20-2.2/include/asm/processor.h:455: parse error before 
numeric constant
/usr/src/linux-2.4.20-2.2/include/asm/processor.h:455: 
`kernel_thread_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-2.2/include/asm/processor.h:455: warning: function 
declaration isn't a prototype
In file included from lp.c:114:
/usr/src/linux-2.4.20-2.2/include/linux/module.h:183: invalid suffix on integer 
constant
/usr/src/linux-2.4.20-2.2/include/linux/module.h:183: parse error before 
numeric constant
/usr/src/linux-2.4.20-2.2/include/linux/module.h:183: 
`inter_module_register_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-2.2/include/linux/module.h:183: warning: function 
declaration isn't a prototype
/usr/src/linux-2.4.20-2.2/include/linux/module.h:184: invalid suffix on integer 
constant
/usr/src/linux-2.4.20-2.2/include/linux/module.h:184: parse error before 
numeric constant
/usr/src/linux-2.4.20-2.2/include/linux/module.h:184: 
`inter_module_unregister_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-2.2/include/linux/module.h:184: warning: function 
declaration isn't a prototype
/usr/src/linux-2.4.20-2.2/include/linux/module.h:185: 
`inter_module_get_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-2.2/include/linux/module.h:185: warning: parameter names 
(without types) in function declaration
/usr/src/linux-2.4.20-2.2/include/linux/module.h:186: 
`inter_module_get_request_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-2.2/include/linux/module.h:186: warning: parameter names 
(without types) in function declaration
/usr/src/linux-2.4.20-2.2/include/linux/module.h:187: invalid suffix on integer 
constant
/usr/src/linux-2.4.20-2.2/include/linux/module.h:187: parse error before 
numeric constant
/usr/src/linux-2.4.20-2.2/include/linux/module.h:187: 
`inter_module_put_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-2.2/include/linux/module.h:187: warning: function 
declaration isn't a prototype
/usr/src/linux-2.4.20-2.2/include/linux/module.h:196: 
`try_inc_mod_count_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-2.2/include/linux/module.h:196: warning: parameter names 
(without types) in function declaration
In file included from /usr/src/linux-2.4.20-2.2/include/linux/highmem.h:5,
                 from /usr/src/linux-2.4.20-2.2/include/linux/vmalloc.h:8,
                 from /usr/src/linux-2.4.20-2.2/include/asm/io.h:47,
                 from /usr/src/linux-2.4.20-2.2/include/linux/parport_pc.h:4,
                 from /usr/src/linux-2.4.20-2.2/include/linux/parport.h:550,
                 from lp.c:130:
/usr/src/linux-2.4.20-2.2/include/asm/pgalloc.h: In function `get_pgd_fast':
/usr/src/linux-2.4.20-2.2/include/asm/pgalloc.h:78: `boot_cpu_data_R0657d037' 
undeclared (first use in this function)
/usr/src/linux-2.4.20-2.2/include/asm/pgalloc.h:78: (Each undeclared identifier 
is reported only once
/usr/src/linux-2.4.20-2.2/include/asm/pgalloc.h:78: for each function it 
appears in.)
/usr/src/linux-2.4.20-2.2/include/asm/pgalloc.h: In function `free_pgd_fast':
/usr/src/linux-2.4.20-2.2/include/asm/pgalloc.h:89: `boot_cpu_data_R0657d037' 
undeclared (first use in this function)
/usr/src/linux-2.4.20-2.2/include/asm/pgalloc.h: In function 
`pte_alloc_one_fast':
/usr/src/linux-2.4.20-2.2/include/asm/pgalloc.h:127: `boot_cpu_data_R0657d037' 
undeclared (first use in this function)
/usr/src/linux-2.4.20-2.2/include/asm/pgalloc.h: In function `pte_free_fast':
/usr/src/linux-2.4.20-2.2/include/asm/pgalloc.h:137: `boot_cpu_data_R0657d037' 
undeclared (first use in this function)
In file included from /usr/src/linux-2.4.20-2.2/include/asm/io.h:47,
                 from /usr/src/linux-2.4.20-2.2/include/linux/parport_pc.h:4,
                 from /usr/src/linux-2.4.20-2.2/include/linux/parport.h:550,
                 from lp.c:130:
/usr/src/linux-2.4.20-2.2/include/linux/vmalloc.h: In function `vmalloc':
/usr/src/linux-2.4.20-2.2/include/linux/vmalloc.h:37: `boot_cpu_data_R0657d037' 
undeclared (first use in this function)
/usr/src/linux-2.4.20-2.2/include/linux/vmalloc.h: In function `vmalloc_dma':
/usr/src/linux-2.4.20-2.2/include/linux/vmalloc.h:46: `boot_cpu_data_R0657d037' 
undeclared (first use in this function)
/usr/src/linux-2.4.20-2.2/include/linux/vmalloc.h: In function `vmalloc_32':
/usr/src/linux-2.4.20-2.2/include/linux/vmalloc.h:55: `boot_cpu_data_R0657d037' 
undeclared (first use in this function)
make[2]: *** [lp.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.4.20-2.2/drivers/char'
make[1]: *** [_modsubdir_char] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.20-2.2/drivers'
make: *** [_mod_drivers] Error 2

Expected results:
(only tradiotional warnings and notifications)

Additional info:
DIGITAL PC 3000 (PC 3100 6166 K version 1.12)
S3 86C775/86C785 Trio64V2/GX Bios 1.01

[root@torstein linux-2.4]# more /proc/cpuinfo 
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 5
model           : 6
model name      : AMD-K6tm w/ multimedia extensions
stepping        : 1
cpu MHz         : 167.048
cache size      : 64 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr mce cx8 mmx
bogomips        : 333.41

Comment 1 Bill Nottingham 2003-01-31 04:03:45 UTC
You forgot to run 'make mrproper' first.

Comment 2 Torstein Meyer 2003-02-03 20:12:15 UTC
I had forgotten
   Make mproper

Now, everything works quite nice.
Pardon me.